{$mode delphi}
unit TomCam;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TCameraForm = class(TForm)
    Panel1: TPanel;
    SaveButton: TBitBtn;
    SelectButton: TBitBtn;
    CloseButton: TBitBtn;
    SelectListBox: TListBox;
    DeleteButton: TBitBtn;
    procedure GoCreateCameraForm(Sender: TObject);
    procedure HandleSelectClick(Sender: TObject);
    procedure GoSelectItem(Sender: TObject);
    procedure GoCloseCameraForm(Sender: TObject);
  private
    { Private declarations }
    CamFile: TextFile;
    CamPositions: TStringList;
  public
    { Public declarations }
  end;

var
  CameraForm: TCameraForm;

implementation

{$R *.dFM}

Uses
  TomasAnimation;

procedure TCameraForm.GoCreateCameraForm(Sender: TObject);
var
  S: String;
  L: Integer;
begin
SelectButton.Enabled:=FALSE;
DeleteButton.Enabled:=FALSE;
S:=ParamStr(0);
L:=Length(S);
While (L>0) And (S[L] <> '.') Do
  Begin
  Dec(L);
  End;
If L > 0 Then
  Begin
  S:=Copy(S,1,L-1);
  End;
L:=Length(S);
While (L>0) And (S[L] <> '\') And (S[L] <> ':') Do
  Begin
  Dec(L);
  End;
If L > 0 Then
  Begin
  S:=Copy(S,L+1,Length(S) - L);
  End;
SelectListBox.Clear;
CamPositions:=TStringList.Create;
If FileExists(S + '.cam') Then
  Begin
  AssignFile(CamFile,S + '.cam');
  Reset(CamFile);
  While NOT(EOF(CamFile)) Do
    Begin
    ReadLn(CamFile,S);
    CamPositions.Add(S);
    L:=Pos(':::',S);
    SelectListBox.Items.Add(Copy(S,1,L-1));
    End;
  CloseFile(CamFile);
  End;
End;

procedure TCameraForm.HandleSelectClick(Sender: TObject);
begin
If Trim(SelectListBox.Items[SelectListBox.ItemIndex]) <> '' Then
  Begin
  SelectButton.Enabled:=TRUE;
  DeleteButton.Enabled:=TRUE;
  End;
end;

procedure TCameraForm.GoSelectItem(Sender: TObject);
begin
If Trim(SelectListBox.Items[SelectListBox.ItemIndex]) <> '' Then
  Begin
  End;
end;

procedure TCameraForm.GoCloseCameraForm(Sender: TObject);
begin
//savecamerapositions
//setselectedposition
TomasAnimationForm.GoResumeSimulation;
Close;
end;

end.
